<?php include('fncr-geral/configuracao_geral.php');
$pagina = "bank";
$blq_pag = "bank_contas";
include('fncr-geral/permissoes_restricao.php');

$id_subconta = $_GET['id'];


// SUBCONTA
// *********************************

// Atualizar dados
if(isset($_POST['subconta']) && $_POST['subconta'] == 'atualizar_dados') {

  $sql = $bd->getConexao()->prepare('UPDATE pwbank_subcontas SET
    pix_chave_tipo = :pix_chave_tipo,
    pix_chave = :pix_chave,
    pix_documento = :pix_documento
  WHERE id = :id');
  $sql->bindValue(':id', $id_subconta, PDO::PARAM_STR);
  $sql->bindValue(':pix_chave_tipo', $_POST['pix_chave_tipo'], PDO::PARAM_STR);
  $sql->bindValue(':pix_chave', $_POST['pix_chave'], PDO::PARAM_STR);
  $sql->bindValue(':pix_documento', $_POST['pix_documento'], PDO::PARAM_STR);
  $sql->execute();

  $mensagem = "ok";
  $mensagem_frase =  'Conta atualizada';
}

// Dados da subconta
function getDadosSubconta(){
  global $bd, $id_subconta;

  $sql = $bd->getConexao()->prepare('
  SELECT
    sc.*,
    bc.*,
    sc.id,
    sc.repasse_titular,
    sc.repasse_pix_tipo,
    sc.repasse_pix_chave,
    c.id as clube_id,
    c.nome as clube,
    c.email as clube_email,
    c.contato,
    cc.link_sistema,
    DATE_FORMAT(sc.data_hora,"%d/%m/%Y %H:%i") AS data,
    DATE_FORMAT(sc.data_hora_expiracao,"%d/%m/%Y") AS data_expiracao
  FROM pwbank_subcontas sc
    LEFT JOIN pwbank_contas bc ON bc.id = sc.id_conta
    LEFT JOIN clubes c ON c.id = sc.tipo_id
    LEFT JOIN clubes_configuracao cc ON cc.id_clube = c.id
  WHERE sc.id = :id');
  $sql->bindValue(':id', $id_subconta, PDO::PARAM_STR);
  if($sql->execute()){return $sql->fetch(PDO::FETCH_ASSOC);}
}
$subconta = getDadosSubconta();

/*
if($subconta['EXT_api_key'] && strpos($subconta['EXT_api_key'], '$aact') === 0){
  require_once('libraries/outros/Crypto.php');
  $crypto = new Crypto();
  $subconta['EXT_api_key'] = $crypto->encode($subconta['EXT_api_key']);
}
*/

/*
require_once('libraries/outros/Crypto.php');
$crypto = new Crypto();
echoPre($crypto->decode($subconta['EXT_api_key']));
*/

// INSTANCIA DO ASAAS
include_once('libraries/outros/Asaas.php');
$asaas = new Asaas();
$asaas->account_dds($subconta);


// Pega Informações da conta
if(isset($_POST['asaas']) && $_POST['asaas'] == 'get_account'){

  /*
  $registros_pix = $asaas->account_pix_chaves_get();
  echoPre($registros_pix);

  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, GLOBAL_ASAAS_URL.'pix/addressKeys/b036d26e-dbd0-438a-907b-4c1444d85618');
  curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
  curl_setopt($ch, CURLOPT_POSTFIELDS, []);
  curl_setopt($ch, CURLOPT_HEADER, 0);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "access_token: ".$subconta['EXT_api_key'],
    "User-Agent: pokerweb",
    "accept: application/json",
    "content-type: application/json",
  ]);
  $response = curl_exec($ch);
  echoPre($response);

  $registros_pix = $asaas->account_pix_chaves_get();
  echoPre($registros_pix);
  */

  // Dados da conta no serviço
  $account_ext = $asaas->account_get_dds();
  if($account_ext){
    $c_info = $account_ext['commercialInfo'];
    $status = $account_ext['status'];

    // STATUS
    if($status){
      $json_status = json_encode([
        'commercialInfo'=> $status->commercialInfo,
        'bankAccountInfo'=> $status->bankAccountInfo,
        'documentation'=> $status->documentation,
        'general'=> $status->general,
      ]);

      $sql = $bd->getConexao()->prepare('UPDATE pwbank_subcontas SET EXT_status = :json, data_hora_updated = now() WHERE id = :id');
      $sql->bindValue(':id', $id_subconta, PDO::PARAM_STR);
      $sql->bindValue(':json', $json_status, PDO::PARAM_STR);
      $sql->execute();
    }

    // CHAVE PIX
    if($status && $status->general=="APPROVED" && !$subconta['EXT_pix_chave']){
      $pix_chave_update = false;
      $registros_pix = $asaas->account_pix_chaves_get();

      // Cria registro do pix
      if(isset($registros_pix->totalCount) && $registros_pix->totalCount==0){
        $registro_pix_novo = $asaas->account_pix_chave_criar();
        $pix_chave_update = isset($registro_pix_novo->key) ? $registro_pix_novo->key : false;
      }
      // Atualiza BD se existir pix no serviço
      elseif(isset($registros_pix->totalCount) && $registros_pix->totalCount>0 && isset($registros_pix->data[0]->key) && $registros_pix->data[0]->key!=""){
        $pix_chave_update = $registros_pix->data[0]->key;
      }

      if($pix_chave_update){
        $sql = $bd->getConexao()->prepare('UPDATE pwbank_subcontas SET EXT_pix_chave = :EXT_pix_chave WHERE id = :id');
        $sql->bindValue(':id', $id_subconta, PDO::PARAM_STR);
        $sql->bindValue(':EXT_pix_chave', $pix_chave_update, PDO::PARAM_STR);
        $sql->execute();
      }
    }

    // VALIDADE DOS DADOS DA CONTA
    if($c_info && isset($c_info->commercialInfoExpiration->scheduledDate)){
      $sql = $bd->getConexao()->prepare('UPDATE pwbank_subcontas SET data_hora_expiracao = :data_hora_expiracao WHERE id = :id');
      $sql->bindValue(':id', $id_subconta, PDO::PARAM_STR);
      $sql->bindValue(':data_hora_expiracao', $c_info->commercialInfoExpiration->scheduledDate, PDO::PARAM_STR);
      $sql->execute();
    }
  }

  $subconta = getDadosSubconta();
}

// Atualiza data expiração
if(isset($_POST['asaas']) && $_POST['asaas'] == 'atualizar_account'){
  // Dados da conta no serviço
  $account_ext = $asaas->account_get_dds("commercialInfo");
  if($account_ext['commercialInfo']){
    $infs = $account_ext['commercialInfo'];
    $dds = [
      "personType" => $infs->personType,
      "name" => $infs->name,
      "cpfCnpj" => $infs->cpfCnpj,
      "companyType" => $infs->companyType,
      "birthDate" => $infs->birthDate,
      "email" => $infs->email,
      "mobilePhone" => $infs->mobilePhone,
      "address" => $infs->address,
      "addressNumber" => $infs->addressNumber,
      "complement" => $infs->complement,
      "province" => $infs->province,
      "postalCode" => $infs->postalCode,
      //"incomeValue" => $infs->incomeValue,
      "incomeValue" => 999999,
    ];
    $resultado = $asaas->account_infos_update($dds);
    if($resultado){
      $account_ext = $asaas->account_get_dds("commercialInfo");
      $infs = $account_ext['commercialInfo'];
      // VALIDADE DOS DADOS DA CONTA
      if($infs && isset($infs->commercialInfoExpiration->scheduledDate)){
        $sql = $bd->getConexao()->prepare('UPDATE pwbank_subcontas SET data_hora_expiracao = :data_hora_expiracao WHERE id = :id');
        $sql->bindValue(':id', $id_subconta, PDO::PARAM_STR);
        $sql->bindValue(':data_hora_expiracao', $infs->commercialInfoExpiration->scheduledDate, PDO::PARAM_STR);
        $sql->execute();
      }
    }
  }

  $subconta = getDadosSubconta();
}


// DOCUMENTOS
// *********************************

// Atualiza informações de documentos
if(isset($_POST['asaas']) && $_POST['asaas'] == 'get_docs'){
  $docs = $asaas->account_docs();
  if($docs && isset($docs->data)){

    // Docs atuais
    $sql = $bd->getConexao()->prepare('
    SELECT 
      sd.id,
      sd.ext_doc_id,
      sd.ext_doc_type
    FROM pwbank_subcontas_documentos sd
    WHERE sd.id_subconta = :id_subconta');
    $sql->bindValue(':id_subconta', $id_subconta, PDO::PARAM_STR);
    if($sql->execute()){$docs_bd = $sql->fetchall(PDO::FETCH_ASSOC);}

    $docs_atuais = [];
    foreach($docs_bd as $l){ $docs_atuais[$l['ext_doc_id'].'.'.$l['ext_doc_type']] = $l; }

    // Analisar se há motivo para recusa
    $recusa_motivo = (isset($docs->rejectReasons) && $docs->rejectReasons!="") ? $docs->rejectReasons : null;

    // Roda cada documento, para inserir ou atualizar as informações locais
    foreach($docs->data as $l){
      $ext_reprovado_motivo = $l->status=="REJECTED" ? $recusa_motivo : null;
      // Atualizar Informações
      if(isset($docs_atuais[$l->id.'.'.$l->type])){
        $sql = $bd->getConexao()->prepare('UPDATE pwbank_subcontas_documentos SET
          ext_doc_description = :ext_doc_description,
          ext_doc_status = :ext_doc_status,
          ext_url = :ext_url,
          ext_reprovado_motivo = :ext_reprovado_motivo,
          data_hora_updated = now()
        WHERE id = :id');
        $sql->bindValue(':id', $docs_atuais[$l->id.'.'.$l->type]['id'], PDO::PARAM_STR);
        $sql->bindValue(':ext_doc_description', $l->description, PDO::PARAM_STR);
        $sql->bindValue(':ext_doc_status', $l->status, PDO::PARAM_STR);
        $sql->bindValue(':ext_reprovado_motivo', $ext_reprovado_motivo, PDO::PARAM_STR);
        $sql->bindValue(':ext_url', $l->onboardingUrl, PDO::PARAM_STR);
        $sql->execute();
      }
      // Inserir documento
      else{
        $sql = $bd->getConexao()->prepare('INSERT INTO pwbank_subcontas_documentos
        (id_subconta, id_documento, ext_doc_id, ext_doc_type, ext_doc_title, ext_doc_description, ext_doc_status, ext_url, ext_reprovado_motivo, data_hora) VALUES
        (:id_subconta, (select id from pwbank_documentos where code = :ext_doc_type), :ext_doc_id, :ext_doc_type, :ext_doc_title, :ext_doc_description, :ext_doc_status, :ext_url, :ext_reprovado_motivo, NOW())');
        $sql->bindValue(':id_subconta', $id_subconta, PDO::PARAM_STR);
        $sql->bindValue(':ext_doc_id', $l->id, PDO::PARAM_STR);
        $sql->bindValue(':ext_doc_type', $l->type, PDO::PARAM_STR);
        $sql->bindValue(':ext_doc_title', $l->title, PDO::PARAM_STR);
        $sql->bindValue(':ext_doc_description', $l->description, PDO::PARAM_STR);
        $sql->bindValue(':ext_doc_status', $l->status, PDO::PARAM_STR);
        $sql->bindValue(':ext_reprovado_motivo', $ext_reprovado_motivo, PDO::PARAM_STR);
        $sql->bindValue(':ext_url', $l->onboardingUrl, PDO::PARAM_STR);
        $sql->execute();
      }
    }
  }
}

// Enviar documento
if(isset($_POST['asaas']) && $_POST['asaas'] == 'send_doc'){

  $id_subconta_documento = $_POST['id_subconta_documento'];

  // Dados do documento
  $sql = $bd->getConexao()->prepare('
  SELECT
    doc.*,
    f.arquivo,
    f.data_hora as arquivo_data_hora
  FROM pwbank_subcontas_documentos doc
    LEFT JOIN pwbank_subcontas sub ON sub.id = doc.id_subconta
    LEFT JOIN pwbank_documentos_files f ON f.conta_id = sub.id_conta AND doc.id_documento
  WHERE doc.id = :id');
  $sql->bindValue(':id', $id_subconta_documento, PDO::PARAM_STR);
  if($sql->execute()){$doc = $sql->fetch(PDO::FETCH_ASSOC);}

  // VIA POST
  if(isset($_FILES['anexo']) && $_FILES['anexo']['tmp_name']){
    $file = $_FILES['anexo'];
    $tmpPath = $file['tmp_name'];
    echoPre($tmpPath);
    $cFile = curl_file_create($file['tmp_name'], $file['type'], $file['name']);
  }

  // SE VIA S3 (AWS)
  elseif($doc['arquivo']!=""){
    echoPre($doc['arquivo']);
    echoPre($doc['arquivo_data_hora']);
    require_once('libraries/outros/S3.php');
    $s3 = new S3();
    $tmpPath = $s3->getFile(GLOBAL_AWS_S3_BUCKET_NAME, 'private/pwbank_docs/'.$doc['arquivo']);
    if($tmpPath){
      echoPre($tmpPath);
      $mime = mime_content_type($tmpPath);
      $cFile = curl_file_create($tmpPath, $mime, basename($doc['arquivo']));
    }
  }

  // Enviar arquivo para API
  if(isset($cFile)){
    $envio = $asaas->account_doc_send($doc['ext_doc_id'], [
      'documentFile' => $cFile,
      'type' => $doc['ext_doc_type'], // Tipo de documento, como exemplo
    ]);

    // Atualiza status do documento
    if($envio && isset($envio->status)){
      $sql = $bd->getConexao()->prepare('UPDATE pwbank_subcontas_documentos SET ext_doc_status = :ext_doc_status, data_hora_updated = now() WHERE id = :id');
      $sql->bindValue(':id', $doc['id'], PDO::PARAM_STR);
      $sql->bindValue(':ext_doc_status', $envio->status, PDO::PARAM_STR);
      $sql->execute();
    }else{echoPre($envio);}

    if(file_exists($tmpPath) && (!isset($file) || $tmpPath!=$file['tmp_name'])) unlink($tmpPath);
  }

}

// Consultar documento
if(isset($_POST['asaas']) && $_POST['asaas'] == 'consultar_doc'){

  /*
  $id_subconta_documento = $_POST['id_subconta_documento'];

  // Dados do documento
  $sql = $bd->getConexao()->prepare('
  SELECT
    doc.*,
    f.arquivo,
    f.data_hora as arquivo_data_hora
  FROM pwbank_subcontas_documentos doc
    LEFT JOIN pwbank_subcontas sub ON sub.id = doc.id_subconta
    LEFT JOIN pwbank_documentos_files f ON f.conta_id = sub.id_conta AND doc.id_documento
  WHERE doc.id = :id');
  $sql->bindValue(':id', $id_subconta_documento, PDO::PARAM_STR);
  if($sql->execute()){$doc = $sql->fetch(PDO::FETCH_ASSOC);}

  // precisa passar o id do documento e não do grupo
  $documento = $asaas->account_doc_get($doc['ext_doc_id']);
  */

}

// Consultar documento
if(isset($_POST['asaas']) && $_POST['asaas'] == 'baixar_doc'){

  $arquivo = $_POST['arquivo'];

  require_once('libraries/outros/S3.php');
  $s3 = new S3();
  $tmpPath = $s3->getFile(GLOBAL_AWS_S3_BUCKET_NAME, 'private/pwbank_docs/'.$arquivo);
  if($tmpPath && file_exists($tmpPath)){
    $mime = mime_content_type($tmpPath);
    header('Content-Description: File Transfer');
    header('Content-Type: '.$mime);
    header('Content-Disposition: attachment; filename="'.basename($arquivo).'"');
    header('Content-Length: '.filesize($tmpPath));
    readfile($tmpPath);
    unlink($tmpPath);
    exit;
  }
}




// Documentos da subconta
$sql = $bd->getConexao()->prepare('
SELECT sd.*, f.arquivo
FROM pwbank_subcontas_documentos sd
  LEFT JOIN pwbank_subcontas sub ON sub.id = sd.id_subconta
  LEFT JOIN pwbank_documentos_files f ON f.conta_id = sub.id_conta AND f.documento_id = sd.id_documento
WHERE sd.id_subconta = :id_subconta
GROUP BY sd.id');
$sql->bindValue(':id_subconta', $id_subconta, PDO::PARAM_STR);
if($sql->execute()){$documentos = $sql->fetchall(PDO::FETCH_ASSOC);}



/*
$dds_email = [
  "usuario" => $subconta['contato'],
  "clube" => $subconta['clube'],
  "link_sistema" => 'https://'.$subconta['link_sistema'].'.pokerweb.com.br',
];

$assunto = "PokerWeb - 🎉 GameID ativado com sucesso!";
require_once('libraries/outros/Email.php');
$email = new Email();
$email->emails(['leandro@pokerweb.com.br']);
$email->conteudo($assunto, 'gameid/gameid_ativado.php', true, $dds_email);
$email->send();
*/



// Enviar email dos documentos pendentes
if(isset($_POST['documentos']) && $_POST['documentos'] == 'enviar_email_pendentes'){

  // Separação de documentos e reconhecimento facial
  $documentos_pendentes = [];
  $url_reconhecimento_facial = '';
  foreach($documentos as $l){
    if(in_array($l['ext_doc_status'],['NOT_SENT','REJECTED'])){
      if($l['ext_url']!=""){ $url_reconhecimento_facial=$l['ext_url']; }
      else{
        $documentos_pendentes[] = $l['ext_doc_title'];
      }
    }
  }

  require_once('libraries/outros/Email.php');
  $email = new Email();

  $dds_email = [
    "usuario" => $subconta['contato'],
    "clube" => $subconta['clube'],
    "conta_nome" => $subconta['nome'],
    "conta_documento" => $subconta['documento'],
    "pessoa_tipo" => $subconta['pessoa_tipo'],
    "tipo_empresa" => $subconta['tipo_empresa'],
    "link_sistema" => 'https://'.$subconta['link_sistema'].'.pokerweb.com.br',
  ];
  if(count($documentos_pendentes)>0){ $dds_email['documentos_pendentes']=$documentos_pendentes; }
  if($url_reconhecimento_facial!=""){ $dds_email['url_reconhecimento_facial']=$url_reconhecimento_facial; }

  $assunto = "PokerWeb - Ativação do GameID";

  $email->emails([$subconta['email']]);
  $email->conteudo($assunto, 'gameid/documentos_pendentes.php', true, $dds_email);
  $email->send();

  $docs_text = '';
  foreach($documentos_pendentes as $l){ $docs_text .= '• '.$l.'<br>'; }

  // Email para equipe interna
  $email->emails(['leandro@pokerweb.com.br','luciano@pokerweb.com.br','otaviogonzalez@pokerweb.com.br']);
  //$email->emails(['leandro@pokerweb.com.br']);
  $email->conteudo($assunto,
    "MENSAGEM AUTOMÁTICA<br><br>".
    "Foi enviado um email para <strong>{$subconta['clube']}</strong>, com a seguinte solicitação:<br><br>".
    ($docs_text).($url_reconhecimento_facial!="" ? '• Reconhecimento Facial' : '')."<br><br>".
    "A etapa de verificação e validação final acontecerá após o clube enviar/realizar as pendências listadas."
  );
  $email->send();

  // Registrar o envio do email
  $sql = $bd->getConexao()->prepare('INSERT INTO emails_envios
  (tipo, registro_id, email, data_hora) VALUES
  (:tipo, :registro_id, :email, NOW())');
  $sql->bindValue(':tipo', 'subconta_documentos', PDO::PARAM_STR);
  $sql->bindValue(':registro_id', $id_subconta, PDO::PARAM_STR);
  $sql->bindValue(':email', $subconta['email'], PDO::PARAM_STR);
  $sql->execute();

}


// Enviar email dos documentos pendentes
if(isset($_POST['documentos']) && $_POST['documentos'] == 'enviar_email_reprovados'){

  // Separação de documentos e reconhecimento facial
  $documentos_pendentes = [];
  $url_reconhecimento_facial = '';
  $ext_reprovado_motivo = null;
  foreach($documentos as $l){
    if(in_array($l['ext_doc_status'],['NOT_SEND','REJECTED'])){
      if($l['ext_url']!=""){ $url_reconhecimento_facial=$l['ext_url']; }
      else{
        $documentos_pendentes[] = $l['ext_doc_title'];
      }
    }

    if($l['ext_doc_status']=="REJECTED") $ext_reprovado_motivo = $l['ext_reprovado_motivo'];
  }

  // Se existir um motivo
  if($ext_reprovado_motivo){

    require_once('libraries/outros/Email.php');
    $email = new Email();

    $dds_email = [
      "usuario" => $subconta['contato'],
      "clube" => $subconta['clube'],
      "conta_nome" => $subconta['nome'],
      "conta_documento" => $subconta['documento'],
      "pessoa_tipo" => $subconta['pessoa_tipo'],
      "tipo_empresa" => $subconta['tipo_empresa'],
      "link_sistema" => 'https://'.$subconta['link_sistema'].'.pokerweb.com.br',
      "ext_reprovado_motivo" => $ext_reprovado_motivo,
    ];
    if(count($documentos_pendentes)>0){ $dds_email['documentos_pendentes']=$documentos_pendentes; }
    if($url_reconhecimento_facial!=""){ $dds_email['url_reconhecimento_facial']=$url_reconhecimento_facial; }

    $assunto = "PokerWeb - Ativação do GameID";

    $email->emails([$subconta['email']]);
    $email->conteudo($assunto, 'gameid/documentos_reprovados.php', true, $dds_email);
    $email->send();

    $docs_text = '';
    foreach($documentos_pendentes as $l){ $docs_text .= '• '.$l.'<br>'; }

    // Email para equipe interna
    $email->emails(['leandro@pokerweb.com.br','luciano@pokerweb.com.br','otaviogonzalez@pokerweb.com.br']);
    $email->conteudo($assunto,
      "MENSAGEM AUTOMÁTICA<br><br>".
      "Foi enviado um email para <strong>{$subconta['clube']}</strong> com informações de documentos reprovados, com a seguinte nova solicitação:<br><br>".
      ($docs_text).($url_reconhecimento_facial!="" ? '• Reconhecimento Facial' : '')."<br><br>".
      "A etapa de verificação e validação final acontecerá após o clube enviar/realizar as pendências listadas."
    );
    $email->send();

    // Registrar o envio do email
    $sql = $bd->getConexao()->prepare('INSERT INTO emails_envios
    (tipo, registro_id, email, data_hora) VALUES
    (:tipo, :registro_id, :email, NOW())');
    $sql->bindValue(':tipo', 'subconta_documentos_reprovados', PDO::PARAM_STR);
    $sql->bindValue(':registro_id', $id_subconta, PDO::PARAM_STR);
    $sql->bindValue(':email', $subconta['email'], PDO::PARAM_STR);
    $sql->execute();

  }

}


// Enviar email dos documentos pendentesfi
if(isset($_POST['documentos']) && $_POST['documentos'] == 'enviar_email_novo_sistema'){

  // Separação de documentos e reconhecimento facial
  $url_reconhecimento_facial = '';
  foreach($documentos as $l){
    if(in_array($l['ext_doc_status'],['NOT_SENT','REJECTED'])){
      if($l['ext_url']!=""){ $url_reconhecimento_facial=$l['ext_url']; }
    }
  }

  if($url_reconhecimento_facial!=""){
    require_once('libraries/outros/Email.php');
    $email = new Email();

    $dds_email = [
      "usuario" => $subconta['contato'],
      "clube" => $subconta['clube'],
      "conta_nome" => $subconta['nome'],
      "conta_documento" => $subconta['documento'],
      "pessoa_tipo" => $subconta['pessoa_tipo'],
      "tipo_empresa" => $subconta['tipo_empresa'],
      "link_sistema" => 'https://'.$subconta['link_sistema'].'.pokerweb.com.br',
    ];
    if($url_reconhecimento_facial!=""){ $dds_email['url_reconhecimento_facial']=$url_reconhecimento_facial; }

    $assunto = "PokerWeb - Ativação de Sistema";

    $email->emails([$subconta['email']]);
    $email->emailsCCO(['leandro@pokerweb.com.br']);
    $email->conteudo($assunto, 'sistema_novo_rec_facial.php', true, $dds_email);
    $email->send();

    // Email para equipe interna
    /*
    $email->emails(['leandro@pokerweb.com.br']);
    $email->conteudo($assunto,
      "MENSAGEM AUTOMÁTICA<br><br>".
      "Foi enviado um email para <strong>{$subconta['clube']}</strong>, com a seguinte solicitação:<br><br>".
      ($url_reconhecimento_facial!="" ? '• Reconhecimento Facial' : '')."<br><br>".
      "A etapa de verificação e validação final acontecerá após o clube enviar/realizar as pendências listadas."
    );
    $email->send();
    */

    // Registrar o envio do email
    $sql = $bd->getConexao()->prepare('INSERT INTO emails_envios
    (tipo, registro_id, email, data_hora) VALUES
    (:tipo, :registro_id, :email, NOW())');
    $sql->bindValue(':tipo', 'sistema_novo_rec_facial', PDO::PARAM_STR);
    $sql->bindValue(':registro_id', $id_subconta, PDO::PARAM_STR);
    $sql->bindValue(':email', $subconta['email'], PDO::PARAM_STR);
    $sql->execute();

    $mensagem = "ok";
  }

  else{
    echoPre('ERRO - Sem documento');
  }

}

// Enviar email dos documentos pendentesfi
if(isset($_POST['documentos']) && $_POST['documentos'] == 'enviar_email_pwpay'){

  // Separação de documentos e reconhecimento facial
  $url_reconhecimento_facial = '';
  foreach($documentos as $l){
    if(in_array($l['ext_doc_status'],['NOT_SENT','REJECTED'])){
      if($l['ext_url']!=""){ $url_reconhecimento_facial=$l['ext_url']; }
    }
  }

  if($url_reconhecimento_facial!=""){
    require_once('libraries/outros/Email.php');
    $email = new Email();

    $dds_email = [
      "usuario" => $subconta['contato'],
      "clube" => $subconta['clube'],
      "conta_nome" => $subconta['nome'],
      "conta_documento" => $subconta['documento'],
      "pessoa_tipo" => $subconta['pessoa_tipo'],
      "tipo_empresa" => $subconta['tipo_empresa'],
      "link_sistema" => 'https://'.$subconta['link_sistema'].'.pokerweb.com.br',
    ];
    if($url_reconhecimento_facial!=""){ $dds_email['url_reconhecimento_facial']=$url_reconhecimento_facial; }

    $assunto = "PokerWeb - Ativação PWpay";

    $email->emails([$subconta['email']]);
    $email->emailsCCO(['leandro@pokerweb.com.br']);
    $email->conteudo($assunto, 'pwpay_rec_facial.php', true, $dds_email);
    $email->send();

    // Email para equipe interna
    /*
    $email->emails(['leandro@pokerweb.com.br']);
    $email->conteudo($assunto,
      "MENSAGEM AUTOMÁTICA<br><br>".
      "Foi enviado um email para <strong>{$subconta['clube']}</strong>, com a seguinte solicitação:<br><br>".
      ($url_reconhecimento_facial!="" ? '• Reconhecimento Facial' : '')."<br><br>".
      "A etapa de verificação e validação final acontecerá após o clube enviar/realizar as pendências listadas."
    );
    $email->send();
    */

    // Registrar o envio do email
    $sql = $bd->getConexao()->prepare('INSERT INTO emails_envios
    (tipo, registro_id, email, data_hora) VALUES
    (:tipo, :registro_id, :email, NOW())');
    $sql->bindValue(':tipo', 'sistema_novo_rec_facial', PDO::PARAM_STR);
    $sql->bindValue(':registro_id', $id_subconta, PDO::PARAM_STR);
    $sql->bindValue(':email', $subconta['email'], PDO::PARAM_STR);
    $sql->execute();

    $mensagem = "ok";
  }

  else{
    echoPre('ERRO - Sem documento');
  }

}


// WEBHOOKS
// *********************************

// Criar webhook padrão
if(isset($_POST['asaas']) && $_POST['asaas'] == 'criar_webhooks'){

  // Criação dos webhook
  function create_webhook($dds, $url=false){
    global $asaas;

    $url = $url ? $url : 'https://fncr.pokerweb.com.br/scripts_webhook/asaas.php';

    $response = $asaas->account_webhooks_criar([
      "name"=> $dds['name'],
      "url"=> $url,
      "email"=> "pokerweb@pokerweb.com.br",
      "enabled"=> true,
      "interrupted"=> false,
      "apiVersion"=> 3,
      "authToken"=> GLOBAL_ASAAS_HOOK_TK,
      "sendType"=> "NON_SEQUENTIALLY",
      "events"=> $dds['events']
    ]);
  }

  // WEBHOOKS CADASTRADOS
  $sql = $bd->getConexao()->prepare('
    SELECT JSON_ARRAYAGG(DISTINCT event) AS event
    FROM (
      SELECT JSON_UNQUOTE(JSON_EXTRACT(e.value, "$")) AS event
      FROM pwbank_subcontas_webhooks s,
           JSON_TABLE(s.ext_webhook_events, "$[*]" COLUMNS (value JSON PATH "$")) AS e
      WHERE s.id_subconta = :id_subconta
    ) AS todos');
  $sql->bindValue(':id_subconta', $id_subconta, PDO::PARAM_STR);
  if($sql->execute()){$reg = $sql->fetch(PDO::FETCH_ASSOC);}

  // Codes registrados
  $events = $reg['event']!="" ? json_decode($reg['event']) : [];

  // Webhooks
  $wh_criar = [
    // Pagamento Confirmado
    'payment'=>[
      "create"=>true,
      "name"=>"Pagamento Confirmado",
      "events"=>['PAYMENT_CONFIRMED', 'PAYMENT_RECEIVED']
    ],
    // Transferencia
    'transfer'=>[
      "create"=>true,
      "name"=>"Transferências",
      "events"=>['TRANSFER_DONE','TRANSFER_FAILED','TRANSFER_CANCELLED']
    ],
    /*
    // Status de conta e documentos
    'pix_refund'=>[
      "create"=>true,
      "name"=>"Estorno de pix",
      "events"=>['PIX_CREDIT_REFUND_DONE','PIX_CREDIT_REFUND_REFUSED']
    ],
    */
    // Status de conta e documentos
    'account_status'=>[
      "create"=>true,
      "name"=>"Status de Conta",
      "events"=>[
        'ACCOUNT_STATUS_DOCUMENT_APPROVED','ACCOUNT_STATUS_DOCUMENT_AWAITING_APPROVAL',
        'ACCOUNT_STATUS_DOCUMENT_PENDING','ACCOUNT_STATUS_DOCUMENT_REJECTED',
        'ACCOUNT_STATUS_GENERAL_APPROVAL_APPROVED','ACCOUNT_STATUS_GENERAL_APPROVAL_AWAITING_APPROVAL',
        'ACCOUNT_STATUS_GENERAL_APPROVAL_PENDING','ACCOUNT_STATUS_GENERAL_APPROVAL_REJECTED',
      ]
    ],
  ];

  // Verifica e desmarca se já existe webhook cadastrado
  $url = (isset($_POST['url']) && $_POST['url']!="") ? $_POST['url'] : false;
  foreach($wh_criar as $k=>$g){
    foreach($g['events'] as $ev){
      if(in_array($ev, $events)){
        $wh_criar[$k]['create'] = false;
        break;
      }
    }
    if($wh_criar[$k]['create']){
      create_webhook($wh_criar[$k], $url);
      $wh_criado = true;
    }
  }

  // Se algum Webhook foi criado
  if(isset($wh_criado) && $wh_criado){$_POST['asaas']='get_webhooks';}
}

// Atualiza informações de webhooks
if(isset($_POST['asaas']) && $_POST['asaas'] == 'get_webhooks'){
  $webhooks = $asaas->account_webhooks();

  if($webhooks && isset($webhooks->data)){
    // Webhooks atuais
    $sql = $bd->getConexao()->prepare('
    SELECT *
    FROM pwbank_subcontas_webhooks w
    WHERE w.id_subconta = :id_subconta');
    $sql->bindValue(':id_subconta', $id_subconta, PDO::PARAM_STR);
    if($sql->execute()){$wh_bd = $sql->fetchall(PDO::FETCH_ASSOC);}

    $wh_atuais = [];
    foreach($wh_bd as $l){ $wh_atuais[$l['ext_webhook_id']] = $l; }

    // Roda cada documento, para inserir ou atualizar as informações locais
    foreach($webhooks->data as $l){
      // Inserir documento
      if(!isset($wh_atuais[$l->id])){
        $sql = $bd->getConexao()->prepare('INSERT INTO pwbank_subcontas_webhooks
        (id_subconta, ext_webhook_id, ext_webhook_nome, ext_webhook_url, ext_webhook_events, data_hora) VALUES
        (:id_subconta, :ext_webhook_id, :ext_webhook_nome, :ext_webhook_url, :ext_webhook_events, NOW())');
        $sql->bindValue(':id_subconta', $id_subconta, PDO::PARAM_STR);
        $sql->bindValue(':ext_webhook_id', $l->id, PDO::PARAM_STR);
        $sql->bindValue(':ext_webhook_nome', $l->name, PDO::PARAM_STR);
        $sql->bindValue(':ext_webhook_url', $l->url, PDO::PARAM_STR);
        $sql->bindValue(':ext_webhook_events', json_encode($l->events), PDO::PARAM_STR);
        $sql->execute();
      }
    }
  }
}

// Detela WebHook
if(isset($_POST['asaas']) && $_POST['asaas'] == 'deletar_webhooks'){
  $result = $asaas->account_webhooks_deletar($_POST['ext_webhook_id']);

  // Deletar do BD
  if(isset($result->deleted) && $result->deleted){
    $sql = $bd->getConexao()->prepare('DELETE FROM pwbank_subcontas_webhooks WHERE ext_webhook_id = :ext_webhook_id');
    $sql->bindValue(':ext_webhook_id',$_POST['ext_webhook_id'], PDO::PARAM_STR);
    if($sql->execute());
  }
}


// AÇÕES EXTRAS
// *********************************

// Atualizar API Key
if(isset($_POST['apikey']) && $_POST['apikey'] == 'atualizar'){
  if(in_array($id_subconta,[1,5,64,85])) {echoPre("conta default");}
  else {
    $apikey_hash = $asaas->api_key_atualizar([
      "EXT_registro_id"=> $subconta['EXT_registro_id'],
    ]);

    if($apikey_hash){
      $sql = $bd->getConexao()->prepare('UPDATE pwbank_subcontas SET
      EXT_api_key = :EXT_api_key
    WHERE id = :id');
      $sql->bindValue(':id', $id_subconta, PDO::PARAM_STR);
      $sql->bindValue(':EXT_api_key', $apikey_hash, PDO::PARAM_STR);
      $sql->execute();

      $mensagem = "ok";
    }else{echoPre('erro');}
  }
}

// Atualizar API Key
if(isset($_POST['subconta']) && $_POST['subconta'] == 'saldo'){

  $saldo_real_conta = $asaas->saldo();
  echoPre($saldo_real_conta);

}

// Atualizar API Key
if(isset($_POST['apikey']) && $_POST['apikey'] == 'deletar'){
  if(in_array($id_subconta,[1,5,64,85])) {echoPre("conta default");}
  else {
    $deletado = $asaas->api_key_deletar([
      "EXT_registro_id"=> $subconta['EXT_registro_id'],
    ]);

    if($deletado){
      $sql = $bd->getConexao()->prepare('UPDATE pwbank_subcontas SET
      EXT_api_key = null
    WHERE id = :id');
      $sql->bindValue(':id', $id_subconta, PDO::PARAM_STR);
      $sql->execute();

      $mensagem = "ok";
    }else{echoPre('erro');}
  }
}



// Atualizar API Key
if(isset($_POST['acao_mesclada']) && $_POST['acao_mesclada'] == 'temporario'){
  if(in_array($id_subconta,[1,5,64,85])) {echoPre("conta default");}
  else{
    // Cria api key
    $apikey_hash = $asaas->api_key_atualizar(["EXT_registro_id"=> $subconta['EXT_registro_id']]);
    if($apikey_hash){
      echoPre('apikey criada');

      $sql = $bd->getConexao()->prepare('UPDATE pwbank_subcontas SET
      EXT_api_key = :EXT_api_key
    WHERE id = :id');
      $sql->bindValue(':id', $id_subconta, PDO::PARAM_STR);
      $sql->bindValue(':EXT_api_key', $apikey_hash, PDO::PARAM_STR);
      $sql->execute();

      $subconta = getDadosSubconta();

      // SALDO
      $asaas = new Asaas();
      $asaas->account_dds($subconta);
      $saldo_real_conta = $asaas->saldo();
      echoPre('SALDO: '.$saldo_real_conta);

      $deletado = $asaas->api_key_deletar(["EXT_registro_id"=> $subconta['EXT_registro_id']]);
      if($deletado){
        $sql = $bd->getConexao()->prepare('UPDATE pwbank_subcontas SET
        EXT_api_key = null
      WHERE id = :id');
        $sql->bindValue(':id', $id_subconta, PDO::PARAM_STR);
        $sql->execute();

      }else{echoPre('erro2');}
    }else{echoPre('erro1');}
  }
}





// Gerar extrato
if(isset($_POST['extrato']) && $_POST['extrato'] == 'gerar'){

  /*
  set_time_limit(0);
  ini_set("max_execution_time",0);

  function extrato_get($offset=0){
    global $asaas;
    $response = $asaas->account_extrato([
      "offset"=> $offset,
      "limit"=> 100,
      "startDate"=> "2025-01-01",
      "finishDate"=> "2028-12-31",
      "order"=> 'asc'
    ]);
    return $response;
  }

  $sql_g = $bd->getConexao();
  $sql_g->beginTransaction();

  $sql = $sql_g->prepare('INSERT INTO zz4
    (ext_id, paymentId, externalReference, type, date, description, value, balance, fatura) VALUES
    (:ext_id, :paymentId, :externalReference, :type, :date, :description, :value, :balance, :fatura)');

  $page_start = $_POST['page_start']>0 ? $_POST['page_start'] : 1;
  $pages_limit = $_POST['pages_limit']>0 ? $_POST['pages_limit'] : 20;
  $page = $page_start;
  $processed = 0;
  do{
    $offset = ($page-1) *100;

    $rs = extrato_get($offset);
    if(empty($rs->data)) break;

    foreach($rs->data as $l){
      $fatura = null;
      if(!empty($l->description) && preg_match('/fatura nr\. (\d+)/i',$l->description,$m)){
        $fatura = $m[1];
      }

      $sql->execute([
        "ext_id" => $l->id,
        "paymentId" => $l->paymentId,
        "externalReference" => $l->externalReference,
        "type" => $l->type,
        "date" => $l->date,
        "description" => $l->description,
        "value" => $l->value,
        "balance" => $l->balance,
        "fatura" => $fatura,
      ]);
    }

    usleep(500000); // 0.5s entre requests

    $page ++;
    $processed ++;
  }while($processed < $pages_limit);

  $sql_g->commit();

  echoPre('da pagina '.$page_start.' até página: '.($page-1));
  */
}


// Visualizar extrato
if(isset($_POST['extrato']) && $_POST['extrato'] == 'visualizar'){

  /*
  set_time_limit(0);
  ini_set("max_execution_time",0);

  $offset = ($_POST['page_start']*100)-100;
  $data = databd($_POST['data_start']);

  $tabela_extrato = $asaas->account_extrato([
    "offset"=> $offset,
    "limit"=> 100,
    "startDate"=> $data,
    "finishDate"=> "2028-12-31",
    "order"=> 'asc'
  ]);
  */
}


if(!function_exists('gerarXLS')){
  function gerarXLS($dados, $colunas, $campos, $nome){
    header("Content-Type: application/vnd.ms-excel; charset=UTF-8");
    header("Content-Disposition: attachment; filename=" . $nome . ' - ' . date('Ymd_His') . ".xls");
    header("Pragma: no-cache");
    header("Expires: 0");
    echo "\xEF\xBB\xBF";

    echo "<table border='1'>";

    // TÍTULOS
    echo '<tr>';
    foreach($colunas as $l){
      echo '<td>'.htmlspecialchars($l, ENT_QUOTES, 'UTF-8').'</td>';
    }
    echo '</tr>';

    // REGISTROS
    foreach($dados as $linha){
      echo '<tr>';
      foreach($campos as $campo) {
        echo '<td>'.htmlspecialchars((isset($linha->$campo) ? $linha->$campo : ''), ENT_QUOTES, 'UTF-8').'</td>';
      }
      echo '</tr>';
    }
    echo "</table>";
    exit;
  }
}

// Visualizar extrato
if(isset($_POST['extrato']) && $_POST['extrato'] == 'visualizar'){
/*
  set_time_limit(0);
  ini_set("max_execution_time",0);
  if (ob_get_level()) {
    ob_end_clean();
  }

  $data = databd($_POST['data_start']);

  $x_request = 20;

  $page_start = $_POST['page_start'];
  $offset_add = ($page_start * ($x_request*100)) - $x_request*100;

  $regs = [];

  for($i=0;$i<$x_request;$i++){
    $offset = ($i*100) + $offset_add;

    $tabela_extrato = $asaas->account_extrato([
      "offset"=> $offset,
      "limit"=> 100,
      "startDate"=> $data,
      "finishDate"=> "2028-12-31",
      "order"=> 'asc'
    ]);
    if(empty($tabela_extrato->data)) break;

    foreach ($tabela_extrato->data as $l){
      if($l->type=="PAYMENT_FEE" || $l->type=="INTERNAL_TRANSFER_DEBIT" || $l->type=="TRANSFER_FEE") {
        $last = count($regs)-1;
        if(isset($regs[$last])){
          $regs[$last]->taxa = echomoeda(moeda($regs[$last]->taxa) + $l->value);
          $regs[$last]->balance = $l->balance;
        }
        continue;
      }

      $tipo = $l->type;
      if($l->type=='PAYMENT_RECEIVED') $tipo = 'Reecebimento';
      if($l->type=='TRANSFER') $tipo = 'Transferência';
      if($l->type=='PIX_TRANSACTION_DEBIT_REFUND') $tipo = 'Devolução';

      $descricao = $l->paymentId!="" ? $l->paymentId : $l->transferId;

      $regs[] = (object) [
        'data' => $l->date,
        'tipo' => $tipo,
        'descricao' => $descricao,
        'valor' => echomoeda($l->value),
        'taxa' => 0,
        'balance' => echomoeda($l->balance),
      ];
    }

    usleep(500000); // 0.5s entre requests
  }

  // Monta as colunas
  $colunas = ["Data / Hora", "Tipo", "Descricao", "Valor", "Taxa", "Saldo"];
  $campos = ['data', 'tipo', 'descricao', 'valor', 'taxa', 'balance'];

  gerarXLS($regs, $colunas, $campos, 'Extrato');
  */

}



// Webhooks da subconta
$sql = $bd->getConexao()->prepare('
SELECT sd.*
FROM pwbank_subcontas_webhooks sd
WHERE sd.id_subconta = :id_subconta');
$sql->bindValue(':id_subconta', $id_subconta, PDO::PARAM_STR);
if($sql->execute()){$webhooks = $sql->fetchall(PDO::FETCH_ASSOC);}


?>
<!DOCTYPE html>
<html lang="pt-br">
<head>
  <?php include('fncr-geral/html-head.php');?>

  <link rel="stylesheet" type="text/css" href="js/datatables2/media/css/jquery.dataTables.css">
  <script type="text/javascript" language="javascript" src="js/datatables2/media/js/jquery.dataTables.js"></script>
  <link rel="stylesheet" href="js/checkbox/jquery.checkbox.css" />

  <style>
    .td_input{
      padding: 0 !important;
    }
    .account_status{font-weight: bold}
    .account_status.status_PENDING{color: #ab5600}
    .account_status.status_AWAITING_APPROVAL{color: #9335c5}
    .account_status.status_APPROVED{color: #008345}
    .account_status.status_REJECTED{color: #ff0000}

    .doc_status{font-weight: bold}
    .doc_status.status_NOT_SENT{color: #ab5600}
    .doc_status.status_AWAITING_APPROVAL, .doc_status.status_PENDING{color: #9335c5}
    .doc_status.status_APPROVED{color: #008345}
    .doc_status.status_REJECTED{color: #ff0000}
  </style>
  <script type="text/javascript" language="javascript" class="init">

    $(document).ready(function() {
      $(".select_pesquisar").select2();

      // Script Modal Excluir Cadastro
      $("#modal_docs_enviar").on('show.bs.modal', function(event){
        var button = $(event.relatedTarget);
        var id_subconta_documento = button.data('id_subconta_documento');
        $(this).find('input[name="id_subconta_documento"]').val(id_subconta_documento);
      });

      // Script Modal Excluir Cadastro
      $("#modal_docs_consultar").on('show.bs.modal', function(event){
        var button = $(event.relatedTarget);
        var id_subconta_documento = button.data('id_subconta_documento');
        $(this).find('input[name="id_subconta_documento"]').val(id_subconta_documento);
      });

      // Script Modal Excluir Cadastro
      $("#modal_docs_baixar").on('show.bs.modal', function(event){
        var button = $(event.relatedTarget);
        var arquivo = button.data('arquivo');
        $(this).find('input[name="arquivo"]').val(arquivo);
      });

      $("#modal_webhook_deletar").on('show.bs.modal', function(event){
        var button = $(event.relatedTarget);
        var ext_webhook_id = button.data('ext_webhook_id');
        $(this).find('input[name="ext_webhook_id"]').val(ext_webhook_id);
      });

      $("#modal_emails").on('show.bs.modal', function(event){
        var link = 'modal/emails_historico.php?tipo=subconta_&r=<?php echo $id_subconta?>';
        $('.modal-body-emails').load(link)
      });

    });

  </script>
</head>
<body>

<!-- BARRA SUPERIOR -->
<?php include('barra-sup.php');?>
<!-- MENU PRINCIPAL -->
<?php include('menu.php');?>

<section id="content">

<div class="clearfix padder bg-fncr-clearfix">
<h3 class="m-b">Subconta - Asaas</h3>
</div>

<section id="content" class="content-sidebar bg-white" style="padding-bottom: 100px;line-height: ">
<section class="main">
<br>

  <div class="col-lg-4">

    <section class="panel">
      <header class="panel-heading">
        <span class="pull-right"><a data-toggle="modal" href="#modal_account_status" data-backdrop="static" class="btn btn-white btn-xs">Consultar Status</a></span>
        <div style="margin-top: 5px">Account</div>
      </header>
      <div class="table-responsive">
        <table class="table table-striped b-t text-small">
          <thead>
          <tr>
            <th width="150">Descrição</th>
            <th>Valor</th>
          </tr>
          </thead>
          <tbody>
          <tr>
            <td>ID</td>
            <td><?php echo $subconta['EXT_registro_id']?></td>
          </tr>
          <tr>
            <td>WalletId</td>
            <td><?php echo $subconta['EXT_wallet_id']?></td>
          </tr>
          <tr>
            <td>Status</td>
            <td>
              <?php
              $account_status_json = $subconta['EXT_status'];
              if($account_status_json!=""){
                $account_status = json_decode($account_status_json);
                foreach((array)$account_status as $k=>$l){ if($k!="bankAccountInfo"){ ?>
                  <?php echo $k?>: <span class="account_status status_<?php echo $l?>"><?php echo $l?></span><br>
                <?php }}
              } ?>
            </td>
          </tr>
          <tr>
            <td>Expiração</td>
            <td>
              <?php echo $subconta['data_expiracao']; ?>
              <span class="pull-right"><a data-toggle="modal" href="#modal_account_atualizar" data-backdrop="static" class="btn btn-white btn-xs" style="font-size: 10px; padding: 1px 10px">Atualizar</a></span>
            </td>
          </tr>
          <tr>
            <td>Chave Pix</td>
            <td><?php echo $subconta['EXT_pix_chave']; ?> </td>
          </tr>
          <tr>
            <td>E-mails enviados</td>
            <td>
              <a data-toggle="modal" href="#modal_emails" data-backdrop="static" class="btn btn-white btn-xs">Histórico de envios</a>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
    </section>

    <form class="m-b-none" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
      <input type="hidden" name="subconta" value="atualizar_dados">
      <section class="panel">
        <header class="panel-heading">
          <span class="pull-right"><button type="submit" class="btn btn-inverse btn-xs">Salvar</button></span>
          <div style="margin-top: 5px">Dados</div>
        </header>
        <div class="table-responsive">
          <table class="table table-striped b-t text-small">
            <thead>
            <tr>
              <th width="150">Descrição</th>
              <th>Valor</th>
            </tr>
            </thead>
            <tbody>
            <tr>
              <td>Clube</td>
              <td><?php echo $subconta['clube']!="" ? $subconta['clube'] : "Nenhum"?></td>
            </tr>
            <tr>
              <td>Nome</td>
              <td><?php echo $subconta['nome']?></td>
            </tr>
            <tr>
              <td>CPF/CNPJ</td>
              <td><?php echo $subconta['documento']?></td>
            </tr>
            <tr>
              <td>E-mail</td>
              <td><?php echo $subconta['email']?></td>
            </tr>
            <tr>
              <td>Tipo de Empresa</td>
              <td><?php echo $subconta['tipo_empresa']?></td>
            </tr>
            <tr>
              <td>Celular</td>
              <td><?php echo $subconta['celular']?></td>
            </tr>
            <tr>
              <td>Endereço</td>
              <td><?php echo $subconta['endereco']?></td>
            </tr>
            <tr>
              <td>End. Número</td>
              <td><?php echo $subconta['endereco_numero']?></td>
            </tr>
            <tr>
              <td>End. Comp.</td>
              <td><?php echo $subconta['endereco_complemento']?></td>
            </tr>
            <tr>
              <td>Cidade</td>
              <td><?php echo $subconta['cidade']?></td>
            </tr>
            <tr>
              <td>CEP</td>
              <td><?php echo $subconta['cep']?></td>
            </tr>

            <tr>
              <td>Pix Tipo</td>
              <td class="td_input">
                <select class="form-control" name="pix_chave_tipo">
                  <option value="cnpj" <?php echo $subconta['pix_chave_tipo']=="cnpj" ? 'selected' : ''?>>CNPJ</option>
                  <option value="cpf" <?php echo $subconta['pix_chave_tipo']=="cpf" ? 'selected' : ''?>>CPF</option>
                  <option value="celular" <?php echo $subconta['pix_chave_tipo']=="celular" ? 'selected' : ''?>>CELULAR</option>
                  <option value="email" <?php echo $subconta['pix_chave_tipo']=="email" ? 'selected' : ''?>>E-MAIL</option>
                  <option value="aleatoria" <?php echo $subconta['pix_chave_tipo']=="aleatoria" ? 'selected' : ''?>>ALEATÓRIA</option>
                </select>
              </td>
            </tr>
            <tr>
              <td>Pix Chave</td>
              <td class="td_input"><input type="text" class="form-control" name="pix_chave" value="<?php echo $subconta['pix_chave']?>"></td>
            </tr>
            <tr>
              <td>Pix Documento</td>
              <td class="td_input"><input type="text" class="form-control" name="pix_documento" value="<?php echo $subconta['pix_documento']?>"></td>
            </tr>

            </tbody>
          </table>
        </div>
      </section>
    </form>

  </div>

  <div class="col-lg-8">
    <section class="panel">
      <header class="panel-heading">
        <span class="pull-right"><a data-toggle="modal" href="#modal_docs_pegar_status" data-backdrop="static" class="btn btn-white btn-xs">Consultar Documentos</a></span>
        <span class="pull-right" style="margin-right: 15px"><a data-toggle="modal" href="#modal_docs_email_pendentes" data-backdrop="static" class="btn btn-inverse btn-xs">Enviar E-mail</a></span>
        <span class="pull-right" style="margin-right: 15px"><a data-toggle="modal" href="#modal_email_novo_sistema" data-backdrop="static" class="btn btn-inverse btn-xs">Enviar E-mail - Novo Sistema</a></span>
        <span class="pull-right" style="margin-right: 15px"><a data-toggle="modal" href="#modal_email_pwpay" data-backdrop="static" class="btn btn-inverse btn-xs">Enviar E-mail - PWpay</a></span>
        <div style="margin-top: 5px">Documentos</div>
      </header>
      <div class="table-responsive">
        <table class="table table-striped b-t text-small">
          <thead>
          <tr>
            <th class="text-center" width="50"></th>
            <th width="150">Documento</th>
            <th width="200">Título</th>
            <th width="200">Descrição</th>
            <th width="200">URL</th>
            <th width="200">Status</th>
          </tr>
          </thead>
          <tbody>
          <?php
          $ext_reprovado_motivo = null;
          foreach($documentos as $l){
            $arquivo = $l['arquivo']!="" ? $l['arquivo'] : false;
            if($l['ext_doc_status']=="REJECTED") $ext_reprovado_motivo = $l['ext_reprovado_motivo'];
            ?>
            <tr>
              <td style="padding: 3px">
                <div class="btn-group dropdown_acoes">
                  <button class="btn btn-xs dropdown-toggle btn-white" type="button" data-toggle="dropdown">Ações</button>
                  <div class="dropdown-menu dropdown-menu-right" role="menu">
                    <a data-toggle="modal" href="#modal_docs_enviar" data-backdrop="static" data-id_subconta_documento="<?php echo $l['id']?>" class="jsinbloq"><div class="dropdown-item jsinbloq">Enviar</div></a>
                    <a data-toggle="modal" href="#modal_docs_consultar" data-backdrop="static" data-id_subconta_documento="<?php echo $l['id']?>" class="jsinbloq"><div class="dropdown-item jsinbloq">Consultar</div></a>
                    <?php if($arquivo){ ?>
                      <a data-toggle="modal" href="#modal_docs_baixar" data-backdrop="static" data-arquivo="<?php echo $arquivo?>" class="jsinbloq"><div class="dropdown-item jsinbloq">Baixar</div></a>
                    <?php } ?>
                  </div>
                </div>
              </td>
              <td><?php echo $l['ext_doc_type']?></td>
              <td><?php echo $l['ext_doc_title']?></td>
              <td><?php echo $l['ext_doc_description']?></td>
              <td><?php echo $l['ext_url']?></td>
              <td class="doc_status status_<?php echo $l['ext_doc_status']?>"><?php echo $l['ext_doc_status']?></td>
            </tr>
          <?php } ?>
          <?php if($ext_reprovado_motivo){ ?>
            <tr>
              <td colspan="5" style="font-weight: bold;"><?php echo $ext_reprovado_motivo?></td>
              <td style="padding: 2px">
                <span class="pull-right"><a data-toggle="modal" href="#modal_docs_email_reprovados" data-backdrop="static" class="btn btn-white btn-xs">Enviar E-mail Reprovado</a></span>
              </td>
            </tr>
          <?php } ?>
          </tbody>
        </table>
      </div>
    </section>

    <section class="panel">
      <header class="panel-heading">
        <span class="pull-right"><a data-toggle="modal" href="#modal_webhook_criar" data-backdrop="static" class="btn btn-white btn-xs">Criar</a></span>
        <span class="pull-right"><a data-toggle="modal" href="#modal_webhook_get" data-backdrop="static" class="btn btn-white btn-xs" style="margin-right: 15px">Atualizar</a></span>
        <div style="margin-top: 5px">WebHooks</div>
      </header>
      <div class="table-responsive">
        <table class="table table-striped b-t text-small">
          <thead>
          <tr>
            <th class="text-center" width="50"></th>
            <th width="200">Descrição</th>
            <th>URL</th>
            <th width="450">Eventos</th>
          </tr>
          </thead>
          <tbody>
          <?php foreach($webhooks as $l){ ?>
            <tr>
              <td style="padding: 3px">
                <div class="btn-group dropdown_acoes">
                  <button class="btn btn-xs dropdown-toggle btn-white" type="button" data-toggle="dropdown">Ações</button>
                  <div class="dropdown-menu dropdown-menu-right" role="menu">
                    <a data-toggle="modal" href="#modal_webhook_deletar" data-backdrop="static" data-ext_webhook_id="<?php echo $l['ext_webhook_id']?>" class="jsinbloq"><div class="dropdown-item jsinbloq">Deletar</div></a>
                  </div>
                </div>
              </td>
              <td><?php echo $l['ext_webhook_nome']?></td>
              <td><?php echo $l['ext_webhook_url']?></td>
              <td>
                <?php
                $events='';
                if($l['ext_webhook_events']!=""){
                  $evs = json_decode($l['ext_webhook_events'], true);
                  foreach ($evs as $ev){
                    $events .= '<li>'.$ev.'</li>';
                  }
                }
                echo $events
                ?>
              </td>
            </tr>
          <?php } ?>
          </tbody>
        </table>
      </div>
    </section>

    <section class="panel">
      <header class="panel-heading">
        <div style="margin-top: 5px">Ações Extras</div>
      </header>
      <div class="table-responsive">
        <table class="table table-striped b-t text-small">
          <thead>
          <tr>
            <th class="text-center" width="50"></th>
            <th>Descrição</th>
          </tr>
          </thead>
          <tbody>
          <tr>
            <td style="padding: 3px">
              <span class="pull-right"><a data-toggle="modal" href="#modal_subconta_acao_mesclado" data-backdrop="static" class="btn btn-white btn-xs">Acionar</a></span>
            </td>
            <td>AÇÃO MESCLADA - TEMPORÁRIO</td>
          </tr>
          <tr>
            <td style="padding: 3px">
              <span class="pull-right"><a data-toggle="modal" href="#modal_subconta_saldo" data-backdrop="static" class="btn btn-white btn-xs">Acionar</a></span>
            </td>
            <td>Visualizar Saldo</td>
          </tr>
          <tr>
            <td style="padding: 3px">
              <span class="pull-right"><a data-toggle="modal" href="#modal_atualizar_apikey" data-backdrop="static" class="btn btn-white btn-xs">Acionar</a></span>
            </td>
            <td>API-Key - Atualizar
              <?php if($subconta['EXT_api_key']){ ?><span class="text-success"><i class="fa fa-check-circle" style="margin-left: 15px; margin-right: 5px"></i>Cadastrada</span><?php } ?>
            </td>
          </tr>
          <tr>
            <td style="padding: 3px">
              <span class="pull-right"><a data-toggle="modal" href="#modal_deletar_apikey" data-backdrop="static" class="btn btn-white btn-xs">Acionar</a></span>
            </td>
            <td>API-Key - Remover</td>
          </tr>
          <tr>
            <td style="padding: 3px">
              <span class="pull-right"><a data-toggle="modal" href="#modal_extrato_asaas" data-backdrop="static" class="btn btn-white btn-xs">Acionar</a></span>
            </td>
            <td>Exibir extrato Asaas</td>
          </tr>
          <tr>
            <td style="padding: 3px">
              <span class="pull-right"><a data-toggle="modal" href="#modal_extrato_gerar" data-backdrop="static" class="btn btn-white btn-xs">Acionar</a></span>
            </td>
            <td>Gera uma tabela no BD com todo o extrato da conta (a partir de 2025-01-01)</td>
          </tr>
          </tbody>
        </table>
      </div>
    </section>


  </div>

  <div class="col-lg-12">


    <?php if(isset($tabela_extrato) && count($tabela_extrato->data)>0){ ?>
      <section class="panel">
        <header class="panel-heading">
          <div style="margin-top: 5px">Extrato</div>
        </header>
        <div class="table-responsive">
          <table class="table table-striped b-t text-small">
            <thead>
            <tr>
              <th>data</th>
              <th>tipo</th>
              <th>descricao</th>
              <th>valor</th>
              <th>taxa</th>
              <th>saldo</th>
            </tr>
            </thead>
            <tbody>
            <?php $saldo_anterior = 0;

            foreach($tabela_extrato->data as $l){
              if($l->type=="PAYMENT_FEE" || $l->type=="INTERNAL_TRANSFER_DEBIT" || $l->type=="TRANSFER_FEE" || $l->type=="CHARGED_FEE_REFUND") {
                $saldo_anterior = $l->balance;
                //continue;
              }

              $tipo = $l->type;
              if($l->type=='PAYMENT_RECEIVED') $tipo = 'Reecebimento';
              if($l->type=='TRANSFER') $tipo = 'Transferência';
              if($l->type=='PIX_TRANSACTION_DEBIT_REFUND') $tipo = 'Devolução';

              $descricao = $l->paymentId!="" ? $l->paymentId : $l->transferId;

            ?>
              <tr>
                <td><?php echo $l->date?></td>
                <td><?php echo $tipo?></td>
                <td><?php echo $descricao?></td>
                <td><?php echo echomoeda($l->value)?></td>
                <td>0</td>
                <td><?php echo echomoeda($saldo_anterior)?></td>
              </tr>
            <?php $saldo_anterior = $l->balance; } ?>
            </tbody>
          </table>
        </div>
      </section>
    <?php } ?>

  </div>



</section>
</section>

<!-- FOOTER -->
<?php include('footer.php');?>

<!-- Modal ASAAS - Informações da Conta -->
<div id="modal_account_status" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="asaas" value="get_account" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Informações</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              Realizar consulta das informações da conta?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Consultar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Informações da Conta -->
<div id="modal_account_atualizar" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="asaas" value="atualizar_account" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Atualizar Informações</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              Realizar atualização das informações da conta?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Atualizar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Informações dos documentos -->
<div id="modal_docs_pegar_status" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="asaas" value="get_docs" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Pegar Informações</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              Realizar consulta das informações dos documentos?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Consultar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Enviar documentos -->
<div id="modal_docs_enviar" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="asaas" value="send_doc" />
    <input type="hidden" name="id_subconta_documento" value="" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Enviar Documento</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12">
              Selecione um arquivo para enviar<br>
              <input type="file" name="anexo">
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Enviar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Enviar documentos -->
<div id="modal_docs_consultar" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="asaas" value="consultar_doc" />
    <input type="hidden" name="id_subconta_documento" value="" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Consultar Documento</h4>
        </div>
        <div class="modal-body">
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Consultar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Enviar documentos -->
<div id="modal_docs_baixar" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" target="_blank" action="" enctype="multipart/form-data">
    <input type="hidden" name="asaas" value="baixar_doc" />
    <input type="hidden" name="arquivo" value="" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Baixar Documento</h4>
        </div>
        <div class="modal-body">
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Baixar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Documentos, enviar email -->
<div id="modal_docs_email_pendentes" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="documentos" value="enviar_email_pendentes" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">Documentos - Enviar Email</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              Enviar E-mail ao cliente, com os documentos pendentes?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Enviar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Documentos REPROVADOS -->
<div id="modal_docs_email_reprovados" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="documentos" value="enviar_email_reprovados" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">Documentos - Enviar Email REPROVADO</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              Enviar E-mail ao cliente, com os documentos reprovados?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Enviar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Documentos, enviar email -->
<div id="modal_email_pwpay" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="documentos" value="enviar_email_pwpay" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">Enviar Email - Abrir PWpay</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              Enviar E-mail ao cliente, para ativação PWpay?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Enviar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Documentos, enviar email -->
<div id="modal_email_novo_sistema" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="documentos" value="enviar_email_novo_sistema" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">Enviar Email - Novo Sistema</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              Enviar E-mail ao cliente, para novo sistema?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Enviar</button>
        </div>
      </div>
    </div>
  </form>
</div>


<!-- Modal ASAAS - Informações dos webhooks -->
<div id="modal_webhook_criar" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="asaas" value="criar_webhooks" />
    <div class="modal-dialog modal-sm" style="width: 400px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Criar Webhooks Padrões</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12">
              URL
              <input type="text" class="form-control" name="url" value=""><br><br>
              Criar os webhooks padrões?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Criar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Informações dos webhooks -->
<div id="modal_webhook_get" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="asaas" value="get_webhooks" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Pegar Webhooks</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              Realizar consulta das informações dos webhooks?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Consultar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Deletar webhook -->
<div id="modal_webhook_deletar" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="asaas" value="deletar_webhooks" />
    <input type="hidden" name="ext_webhook_id" value="" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Deletar Webhooks</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12 text-center">
              Deletar este webhook?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-danger">Deletar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Atualizar api key -->
<div id="modal_subconta_acao_mesclado" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="acao_mesclada" value="temporario" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Acionar ação Mesclada</h4>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Acionar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Atualizar api key -->
<div id="modal_subconta_saldo" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="subconta" value="saldo" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Ver Saldo</h4>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Visualizar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Atualizar api key -->
<div id="modal_atualizar_apikey" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="apikey" value="atualizar" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Atualizar api key</h4>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Atualizar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Atualizar api key -->
<div id="modal_deletar_apikey" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="apikey" value="deletar" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Deletar api key</h4>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Deletar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Extrato (gerar arquivo) -->
<div id="modal_extrato_asaas" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="extrato" value="visualizar" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Visualizar</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12">
              Data de Inicio:
              <input type="text" class="form-control" name="data_start" value="<?php if(isset($_POST['data_start'])){ echo $_POST['data_start']; } ?>"><br><br>
              Página de inicio:
              <input type="text" class="form-control" name="page_start" value="<?php if(isset($_POST['page_start'])){ echo $_POST['page_start']; }else{ echo '1';} ?>"><br><br>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Gerar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal ASAAS - Extrato (gerar arquivo) -->
<div id="modal_extrato_gerar" class="modal fade bs-example-modal-sm">
  <form class="m-b-none" method="post" action="" enctype="multipart/form-data">
    <input type="hidden" name="extrato" value="gerar" />
    <div class="modal-dialog modal-sm" style="width: 350px;">
      <div class="modal-content">
        <div class="modal-header bg-info">
          <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
          <h4 class="modal-title" id="myModalLabel">ASAAS - Gerar extrato</h4>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-lg-12">
              Página de inicio:
              <input type="text" class="form-control" name="page_start" value="1"><br><br>
              Páginas à processar:
              <input type="text" class="form-control" name="pages_limit" value="20"><br><br>

              Gerar extrato da conta?
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-sm btn-info">Gerar</button>
        </div>
      </div>
    </div>
  </form>
</div>

<!-- Modal E-MAILS -->
<div id="modal_emails" class="modal fade bs-example-modal-sm">
  <div class="modal-dialog  modal-sm" style="width: 700px;">
    <div class="modal-content">
      <div class="modal-header bg-info">
        <button type="button" class="close" data-dismiss="modal"><i class="fa fa-times"></i></button>
        <h4 class="modal-title" id="myModalLabel">E-mails</h4>
      </div>
      <div class="modal-body scrollbar_modal">
        <div class="modal-body-emails"></div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Fechar</button>
      </div>
    </div>
  </div>
</div>

<!-- app -->
<script src="js/app.js"></script>
<script src="js/app.plugin.js"></script>
<script src="js/app.data.js"></script>
<!-- Sparkline Chart -->
<script src="js/charts/sparkline/jquery.sparkline.min.js"></script>
<!-- Easy Pie Chart -->
<script src="js/charts/easypiechart/jquery.easy-pie-chart.js"></script>
  <!-- select2 -->
<script src="js/select2/select2.min.js"></script>
  <!-- fuelux -->
<script src="js/fuelux/fuelux.js"></script>
<!-- datepicker -->
<script src="js/datepicker/bootstrap-datepicker.js"></script>
<!-- slider -->
<script src="js/slider/bootstrap-slider.js"></script>
<!-- file input -->
<script src="js/file-input/bootstrap.file-input.js"></script>
<!-- combodate -->
<script src="js/combodate/moment.min.js"></script>
<script src="js/combodate/combodate.js"></script>
<!-- parsley -->
<script src="js/parsley/parsley.min.js"></script>
<!-- checkbox -->
<script src="js/checkbox/jquery.checkbox.min.js"></script>

</body>
</html>
<?php $bd = null; $bd_fn = null;?>
